# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-10-18 18:46
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('device', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdminLog',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Time')),
                ('data', models.CharField(blank=True, max_length=40, null=True, verbose_name='Data')),
                ('operation', models.CharField(default='Modify', max_length=40, verbose_name='Operation')),
                ('object_type', models.CharField(blank=True, max_length=40, null=True, verbose_name='Object type')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Administration Log',
                'verbose_name_plural': 'Administration logs',
                'db_table': 'admin_log',
                'ordering': ('-time',),
                'permissions': (('adminlog_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='BackupdbLog',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Backup time')),
                ('is_auto', models.SmallIntegerField(default=0, verbose_name='Is auto backup db')),
                ('cmd_return', models.CharField(blank=True, editable=False, max_length=10, null=True, verbose_name='Return value')),
                ('file_name', models.CharField(max_length=100, verbose_name='Backup file name')),
                ('save_path', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'verbose_name': 'Database Backup Log',
                'verbose_name_plural': 'Backupdb log',
                'db_table': 'backupdb_log',
                'ordering': ('-time',),
                'permissions': (('backupdb_log_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='Workcode_2_Dev',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('work_code', models.CharField(blank=True, max_length=10, null=True, verbose_name='Code')),
                ('work_name', models.CharField(blank=True, max_length=24, null=True, verbose_name='Name')),
                ('iclock', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='device.Iclock')),
            ],
            options={
                'verbose_name': 'Work Code Transfer Log',
                'verbose_name_plural': 'Work Code Transfer Log',
                'db_table': 'device_2_workcode',
                'permissions': (('device_2_workcode_delete', 'Delete'),),
            },
        ),
        migrations.AlterUniqueTogether(
            name='backupdblog',
            unique_together=set([('time',)]),
        ),
    ]
